#include <iostream>

using namespace std;

int main()
{
    int a,b,x,y;
    cin >> a >> b;
    cin >> x >> y;
    if(a > x && b > y)
    {
        cout << "?";
    }
    if(a > x && b == y)
    {
        cout << "prvi";
    }
    if(a == x && b > y)
    {
        cout << "drugi";
    }
    if(a == x && b == y)
    {
        cout << "nijedan";
    }
}